Package org.eclipse.help

## Class AbstractCriteriaProvider

- java.lang.Object
- - org.eclipse.help.AbstractCriteriaProvider

    public abstract class AbstractCriteriaProvider
    extends Object

`AbstractCriteriaProvider` is a mechanism for assigning criteria to `ITopic` and `IToc` elements independent of a table of contents file. The criteria defined by this class are merged with those from the table of contents or from other criteria providers by creating a union of defined criteria and defined criteria values.

Since:
  3.5

### Constructor Summary

Constructors
`AbstractCriteriaProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract ICriteria[]` `getCriteria​(IToc toc)` Gets criteria for a table of contents
`abstract ICriteria[]` `getCriteria​(ITopic topic)` Gets criteria for a topic

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCriteriaProvider

    public AbstractCriteriaProvider()

### Method Detail

#### getCriteria

    public abstract ICriteria[] getCriteria​(ITopic topic)

Gets criteria for a topic

Parameters:
  `topic` - a topic from a table of contents or index
Returns:
  an array of criteria which will be added to those already defined in the table of contents file

#### getCriteria

    public abstract ICriteria[] getCriteria​(IToc toc)

Gets criteria for a table of contents

Parameters:
  `toc` - a table of contents
Returns:
  an array of criteria which will be added to those already defined in the table of contents file